Subject: Re: bug#43677: 27.1; Calc holidays off-by-one error, incorrect business day calculation

From: Robert Pluim <[email-masked]>
Date: Wed, 30 Sep 2020 10:55:10 +0200

>>>>> On Wed, 30 Sep 2020 04:50:25 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Indeed -- applying the following patch (which numbers Monday as 0 and
    Lars> Sunday as 6) makes the test case work correctly for me.  But trying to
    Lars> follow the code makes it unclear...  er...  what's going on, and there
    Lars> aren't many comments in the Calc code to explain what they were
    Lars> thinking.

    Lars> I wondered whether this might be a US/non-US thing (with a difference in
    Lars> what day starts the week), but I couldn't really find anything in calc
    Lars> talking about that...

    Lars> Does anybody have any insight here?

Sunday is the first day of the week in the US and in France (and
others, probably). Monday is the first *business* day of the week,
which I think is what's important here.

Robert
--